package com.zhongshu.card.server.core.dao.projectAbout;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.github.microservice.types.payment.PaymentType;
import com.zhongshu.card.server.core.domain.paySetting.OrgPayAccount;
import com.zhongshu.card.server.core.domain.projectAbout.OrgUserFace;

import java.util.List;

/**
 * 机构用户人脸信息 dao
 */
public interface OrgUserFaceDao extends MongoDao<OrgUserFace> {

    OrgUserFace findTopById(String id);

    OrgUserFace findTopByUserIdAndProjectOid(String userId, String projectOid);

    List<OrgUserFace> findByUserIdAndProjectOid(String userId, String projectOid);

    List<OrgUserFace> findByProjectOidAndUserIdIn(String projectOid, List<String> userIds);

}
